## gce-compute-image-packages 20160930

=== debian/changelog ===
gce-compute-image-packages (20160930-0ubuntu6~16.04.0) xenial; urgency=medium

  * Backport to xenial.

 -- Phil Roche <phil.roche@canonical.com>  Mon, 20 Mar 2017 15:01:51 +0000

gce-compute-image-packages (20160930-0ubuntu6~16.10.0) yakkety; urgency=medium

  * Backport to yakkety.

 -- Phil Roche <phil.roche@canonical.com>  Mon, 20 Mar 2017 14:55:51 +0000

gce-compute-image-packages (20160930-0ubuntu6) zesty; urgency=medium

  * Do not restart startup or shutdown scripts on upgrade (LP: #1668327)

 -- Phil Roche <phil.roche@canonical.com>  Mon, 20 Mar 2017 14:47:51 +0000

gce-compute-image-packages (20160930-0ubuntu5~16.04.0) xenial; urgency=medium

  * Backport to xenial.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 15 Feb 2017 13:07:36 +0000

gce-compute-image-packages (20160930-0ubuntu5) zesty; urgency=medium

  * Install upstream-provided rsyslog configuration so that daemons can log to
    the serial console. (LP: #1664949)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Wed, 15 Feb 2017 11:40:12 +0000

gce-compute-image-packages (20160930-0ubuntu4) zesty; urgency=medium

  * Reintroduce udev rules that configure GCE-specific behaviour.
    (LP: #1662491)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Mon, 06 Feb 2017 16:22:37 +0000

gce-compute-image-packages (20160930-0ubuntu3~16.04.1) xenial; urgency=medium

  * Reintroduce udev rules that configure GCE-specific behaviour.
    (LP: #1662491)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Mon, 06 Feb 2017 16:22:37 +0000

gce-compute-image-packages (20160930-0ubuntu3~16.04.0) xenial; urgency=medium

  * Backport gce-compute-image-packages to xenial (LP: #1643585)

 -- Phil Roche <phil.roche@canonical.com>  Thu, 25 Nov 2016 14:01:00 +0000

gce-compute-image-packages (20160930-0ubuntu3) zesty; urgency=medium

  * GCE mirrors not in place before startup scripts are run (LP: #1436846)
  * Run google-startup-scripts.service after multi-user.target (LP: #1627436)

 -- Phil Roche <phil.roche@canonical.com>  Thu, 17 Nov 2016 15:09:00 +0000

gce-compute-image-packages (20160930-0ubuntu2) yakkety; urgency=medium

  * Document all elements of the source package in debian/copyright.
  * Add Replaces: for our Conflicts: to ensure replacement.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Oct 2016 23:35:49 -0700

gce-compute-image-packages (20160930-0ubuntu1) yakkety; urgency=medium

  * New upstream release.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Fri, 30 Sep 2016 15:27:56 -0700

gce-compute-image-packages (20160826-0ubuntu1) yakkety; urgency=medium

  * Initial release. (LP: #1613677)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Tue, 20 Sep 2016 11:44:25 +0100
