=== debian/control ===
Source: gce-compute-image-packages
Section: admin
Priority: extra
Maintainer: Daniel Watkins <daniel.watkins@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-pytest,
               python3-pytest,
               python-mock,
               python-boto,
               python3-boto
Standards-Version: 3.9.8
Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages

Package: gce-compute-image-packages
Architecture: all
Depends: python3:any,
         ${python3:Depends},
         ${misc:Depends},
         python3-google-compute-engine,
         ntp,
         cloud-init
Recommends: google-cloud-sdk,
            libpam-cracklib
Conflicts: gce-cloud-config,
        gce-daemon,
        gce-startup-scripts
Replaces: gce-cloud-config,
          gce-daemon,
          gce-startup-scripts
Description: GCE's compute-image-packages for use in their guest environment
 This is a collection of scripts that are used on Google Compute Engine images
 to ensure compatibility with the cloud, as well as to enable features specific
 to the cloud.

Package: python-google-compute-engine
Section: python
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
Description: Python library for Google Compute Engine interaction
 Python libraries used for interacting with Google Compute Engine's APIs and
 functionality.  This package contains the modules for Python 2.x.

Package: python3-google-compute-engine
Section: python
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
Description: Python library for Google Compute Engine interaction (Python 3)
 Python libraries used for interacting with Google Compute Engine's APIs and
 functionality.  This package contains the modules for Python 3.x.
