=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="repack,compression=xz,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gce-compute-image-packages-$1\.tar\.gz/" \
  https://github.com/GoogleCloudPlatform/compute-image-packages/tags .*/v?(\d\S*)\.tar\.gz
