## gce-compute-image-packages 20170426

=== debian/changelog ===
gce-compute-image-packages (20170426-0ubuntu2~14.04.0) trusty; urgency=medium

  * Backport to trusty.
    - Retain the delta between devel and trusty as those are necessary for the
      package to build and work.
  * debian/control:
    - Make the python3-google-compute-engine dependency versioned for
      gce-compute-image-packages always on the most current version
      (LP: #1690147).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 11 May 2017 16:00:46 +0200

gce-compute-image-packages (20170426-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1689205).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 05 May 2017 09:42:01 +0200
