=== debian/control ===
Source: gce-compute-image-packages
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               python-all,
               python-setuptools,
               python-pytest,
               python-mock,
               python-boto
Standards-Version: 3.9.8
Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages

Package: gce-compute-image-packages
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-google-compute-engine (= ${source:Version}),
         ntp,
         cloud-init
Recommends: google-cloud-sdk,
            libpam-cracklib
Conflicts: gce-cloud-config,
        gce-daemon,
        gce-startup-scripts
Replaces: gce-cloud-config,
          gce-daemon,
          gce-startup-scripts
Description: GCE's compute-image-packages for use in their guest environment
 This is a collection of scripts that are used on Google Compute Engine images
 to ensure compatibility with the cloud, as well as to enable features specific
 to the cloud.

Package: python-google-compute-engine
Section: python
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
Description: Python library for Google Compute Engine interaction
 Python libraries used for interacting with Google Compute Engine's APIs and
 functionality.  This package contains the modules for Python 2.x.
