## gce-compute-image-packages 20170523

=== debian/changelog ===
gce-compute-image-packages (20170523-0ubuntu1~17.04.0) zesty; urgency=medium

  * Backport to zesty.
  * New upstream release (LP: #1696191).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 06 Jun 2017 09:50:59 -0700

gce-compute-image-packages (20170426-0ubuntu2) artful; urgency=medium

  * debian/control:
    - Make the python3-google-compute-engine dependency versioned for
      gce-compute-image-packages always on the most current version
      (LP: #1690147).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 11 May 2017 14:25:24 +0200
