=== debian/control ===
--- 
+++ 
@@ -8,17 +8,22 @@
                dh-systemd,
                python-all,
                python-setuptools,
+               python3-all,
+               python3-setuptools,
                python-pytest,
+               python3-pytest,
                python-mock,
-               python-boto
+               python-boto,
+               python3-boto
 Standards-Version: 3.9.8
 Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
 
 Package: gce-compute-image-packages
 Architecture: all
-Depends: ${python:Depends},
+Depends: python3:any,
+         ${python3:Depends},
          ${misc:Depends},
-         python-google-compute-engine (= ${source:Version}),
+         python3-google-compute-engine (= ${source:Version}),
          ntp,
          cloud-init
 Recommends: google-cloud-sdk,
@@ -42,3 +47,12 @@
 Description: Python library for Google Compute Engine interaction
  Python libraries used for interacting with Google Compute Engine's APIs and
  functionality.  This package contains the modules for Python 2.x.
+
+Package: python3-google-compute-engine
+Section: python
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends},
+Description: Python library for Google Compute Engine interaction (Python 3)
+ Python libraries used for interacting with Google Compute Engine's APIs and
+ functionality.  This package contains the modules for Python 3.x.
