## gce-compute-image-packages 20170609

=== debian/changelog ===
gce-compute-image-packages (20170609-0ubuntu1) artful; urgency=medium

  * Fix empty lines in debian/rules
  * Update copyright years
  * New upstream version 20170609 (LP: #1699105)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 20 Jun 2017 13:06:49 +0200

gce-compute-image-packages (20170523-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1696191).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 06 Jun 2017 09:50:59 -0700
