## gce-compute-image-packages 20170622

=== debian/changelog ===
gce-compute-image-packages (20170622-0ubuntu1~14.04.1) trusty; urgency=medium

  * Fix installation of google-compute-engine-oslogin (LP: #1703647)
    using patch cherry-picked from upstream

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 11 Jul 2017 19:00:07 +0200

gce-compute-image-packages (20170622-0ubuntu1~14.04.0) trusty; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Backport to trusty.
    - Retain the delta between devel and trusty as those are necessary for the
      package to build and work.

  [ Balint Reczey ]
  * New upstream version 20170622 (LP: #1700027)
    - Add Linux guest environment support for OS Login
  * Add google-compute-engine-oslogin binary package (LP: #1694571)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 23 Jun 2017 10:42:27 +0200
