## gce-compute-image-packages 20170718

=== debian/changelog ===
gce-compute-image-packages (20170718-0ubuntu1~17.04.0) zesty; urgency=medium

  [ Balint Reczey ]
  * Update debian/copyright
  * New upstream version 20170718 (LP: #1705448)

  [ Łukasz 'sil2100' Zemczak ]
  * Backport to zesty.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 21 Jul 2017 09:25:56 +0200

gce-compute-image-packages (20170622-0ubuntu1) artful; urgency=medium

  * New upstream version 20170622 (LP: #1700027)
    - Add Linux guest environment support for OS Login
  * Add google-compute-engine-oslogin binary package (LP: #1694571)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 23 Jun 2017 10:42:27 +0200
