## gce-compute-image-packages 20170921+dfsg1

=== debian/changelog ===
gce-compute-image-packages (20170921+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Backport to xenial (LP: #1718922).
    - Retain the delta between devel and trusty as those are necessary for the
      package to build and work.

  [ Balint Reczey ]
  * New upstream version 20170921+dfsg1
  * Exclude upstream's debian/ directory to not interact with packaging
  * Repack orig source with +dfsg1 suffix
  * Ship sysctl configuration for Google-recommended kernel parameters
  * Update symlink to shared library with updated patch version
  * Make google-compute-engine-oslogin depend on openssh-server

  [ Google Cloud Team ]
  * Add DHCP exit hook script back into package.
  * Ship systemd preset

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 22 Sep 2017 01:35:35 +0200

gce-compute-image-packages (20170718-0ubuntu1) artful; urgency=medium

  * Update debian/copyright
  * New upstream version 20170718 (LP: #1705448)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 20 Jul 2017 14:28:58 +0200
