=== debian/control ===
--- 
+++ 
@@ -51,7 +51,8 @@
 Package: google-compute-engine-oslogin
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         openssh-server
 Description: Google Compute Engine OS Login
  Contains libraries, applications and configurations for using OS Login
  on Google Compute Engine Virtual Machine Instances.
