## gce-compute-image-packages 20171006+dfsg1

=== google_compute_engine_oslogin/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 NAME = google-compute-engine-$(BASENAME)
 MAJOR = 1
 MINOR = 0
-REVISION = 0
+REVISION = 5
 
 NSS_LIBRARY_NAME = libnss_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
 NSS_LIBRARY_SONAME = libnss_$(BASENAME).so.2
@@ -52,6 +52,8 @@
 # SELINUX POLICY
 INSTALL_SELINUX =
 POLICY_DIR = policy
+SELINUX_MODULE_SRC = $(POLICY_DIR)/oslogin$(DIST).te
+SELINUX_MOD_FILE = $(POLICY_DIR)/oslogin$(DIST).mod
 SELINUX_MODULE = $(POLICY_DIR)/oslogin$(DIST).pp
 SELINUX_INSTALL_NAME = oslogin.pp
 SELINUX_INSTALL_PATH = /usr/share/selinux/packages
@@ -59,7 +61,11 @@
 LIBS = -lcurl -ljson-c
 PAM_LIBS = -lpam $(LIBS)
 
+ifdef INSTALL_SELINUX
+all: $(NSS) $(PAM) $(AUTHKEYS_BIN) $(SELINUX_MODULE)
+else
 all: $(NSS) $(PAM) $(AUTHKEYS_BIN)
+endif
 
 $(NSS): $(NSS_LIBRARY_SOURCE) $(UTILS)
 	$(CXX) $(CXXFLAGS) $(NSSFLAGS) -o $(NSS_LIBRARY_NAME) \
@@ -85,26 +91,37 @@
 $(UTILS): $(UTILS_SRC)
 	$(CXX) $(CXXFLAGS) -c $(UTILS_SRC) -o $(UTILS)
 
+$(SELINUX_MOD_FILE): $(SELINUX_MODULE_SRC)
+	checkmodule -M -m -o $(SELINUX_MOD_FILE) $(SELINUX_MODULE_SRC)
+
+$(SELINUX_MODULE): $(SELINUX_MOD_FILE)
+	semodule_package -o $(SELINUX_MODULE) -m  $(SELINUX_MOD_FILE)
+
+
+ifdef INSTALL_SELINUX
+install: $(NSS_LIBRARY_NAME) $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN) $(SELINUX_MODULE)
+else
 install: $(NSS_LIBRARY_NAME) $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN)
-	mkdir -p $(DESTDIR)$(PREFIX)$(NSS_INSTALL_PATH)
-	mkdir -p $(DESTDIR)$(PREFIX)$(PAM_INSTALL_PATH)
-	mkdir -p $(DESTDIR)$(PREFIX)$(AUTHKEYS_INSTALL_PATH)
-	mkdir -p $(DESTDIR)$(PREFIX)$(BIN_INSTALL_PATH)
-	install -m 0644 $(NSS_LIBRARY_NAME) $(DESTDIR)$(PREFIX)$(NSS_INSTALL_PATH)
-	install -m 0644 $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(DESTDIR)$(PREFIX)$(PAM_INSTALL_PATH)
-	install -m 0755 $(AUTHKEYS_BIN) $(DESTDIR)$(PREFIX)$(AUTHKEYS_INSTALL_PATH)
-	install -m 0755 $(OSLOGIN_HELPER) $(DESTDIR)$(PREFIX)$(BIN_INSTALL_PATH)
+endif
+	mkdir -p $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
+	mkdir -p $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)
+	mkdir -p $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)
+	mkdir -p $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
+	install -m 0644 $(NSS_LIBRARY_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
+	install -m 0644 $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)
+	install -m 0755 $(AUTHKEYS_BIN) $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)
+	install -m 0755 $(OSLOGIN_HELPER) $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
 ifdef INSTALL_SELINUX
-	mkdir -p $(DESTDIR)$(PREFIX)$(SELINUX_INSTALL_PATH)
-	install -T -m 0644 $(SELINUX_MODULE) $(DESTDIR)$(PREFIX)$(SELINUX_INSTALL_PATH)/$(SELINUX_INSTALL_NAME)
+	mkdir -p $(DESTDIR)$(PREFIX)/$(SELINUX_INSTALL_PATH)
+	install -T -m 0644 $(SELINUX_MODULE) $(DESTDIR)$(PREFIX)/$(SELINUX_INSTALL_PATH)/$(SELINUX_INSTALL_NAME)
 endif
 
 uninstall:
-	rm -f $(DESTDIR)$(PREFIX)$(NSS_INSTALL_PATH)/$(NSS_LIBRARY_NAME)
-	rm -f $(DESTDIR)$(PREFIX)$(PAM_INSTALL_PATH)/$(PAM_ADMIN_MOD)
-	rm -f $(DESTDIR)$(PREFIX)$(PAM_INSTALL_PATH)/$(PAM_LOGIN_MOD)
-	rm -f $(DESTDIR)$(PREFIX)$(AUTHKEYS_INSTALL_PATH)/$(AUTHKEYS_BIN)
-	rm -f $(DESTDIR)$(PREFIX)$(BIN_INSTALL_PATH)/$(OSLOGIN_HELPER)
+	rm -f $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(NSS_LIBRARY_NAME)
+	rm -f $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)/$(PAM_ADMIN_MOD)
+	rm -f $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)/$(PAM_LOGIN_MOD)
+	rm -f $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)/$(AUTHKEYS_BIN)
+	rm -f $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)/$(OSLOGIN_HELPER)
 clean:
 	rm -f $(UTILS) $(NSS_LIBRARY_NAME) $(PAM_ADMIN_OBJ) $(PAM_ADMIN_MOD) $(PAM_LOGIN_OBJ) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN)
