=== debian/changelog ===
gce-compute-image-packages (20171006+dfsg1-0ubuntu1~16.04.0) xenial; urgency=medium

  [ Balint Reczey ]
  * List current packaging repository in debian/control
  * New upstream version 20171006+dfsg1 (LP: #1722356)
    - Fix system hang during VM shutdown
    - JSON parser accepts string types for int64 values
  * Update symlink to shared library with updated patch version

  [ Łukasz 'sil2100' Zemczak ]
  * Backport to xenial.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 09 Oct 2017 19:16:04 +0200

gce-compute-image-packages (20170921+dfsg1-0ubuntu1) artful; urgency=medium

  [ Balint Reczey ]
  * New upstream version 20170921+dfsg1
  * Exclude upstream's debian/ directory to not interact with packaging
  * Repack orig source with +dfsg1 suffix
  * Ship sysctl configuration for Google-recommended kernel parameters
  * Update symlink to shared library with updated patch version
  * Make google-compute-engine-oslogin depend on openssh-server

  [ Google Cloud Team ]
  * Add DHCP exit hook script back into package.
  * Ship systemd preset

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 22 Sep 2017 01:35:35 +0200
