=== debian/control ===
--- 
+++ 
@@ -13,17 +13,24 @@
                libpam-dev,
                python-all,
                python-setuptools,
+               python3-all,
+               python3-setuptools,
                python-pytest,
+               python3-pytest,
                python-mock,
-               python-boto
+               python-boto,
+               python3-boto
 Standards-Version: 3.9.8
 Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
+Vcs-Git: git://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
+Vcs-Browser: https://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
 
 Package: gce-compute-image-packages
 Architecture: all
-Depends: ${python:Depends},
+Depends: python3:any,
+         ${python3:Depends},
          ${misc:Depends},
-         python-google-compute-engine (= ${source:Version}),
+         python3-google-compute-engine (= ${source:Version}),
          ntp,
          cloud-init
 Recommends: google-cloud-sdk,
@@ -48,6 +55,15 @@
  Python libraries used for interacting with Google Compute Engine's APIs and
  functionality.  This package contains the modules for Python 2.x.
 
+Package: python3-google-compute-engine
+Section: python
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends},
+Description: Python library for Google Compute Engine interaction (Python 3)
+ Python libraries used for interacting with Google Compute Engine's APIs and
+ functionality.  This package contains the modules for Python 3.x.
+
 Package: google-compute-engine-oslogin
 Architecture: any
 Depends: ${shlibs:Depends},
