=== debian/changelog ===
gce-compute-image-packages (20171019+dfsg1-0ubuntu1~17.04.0) zesty; urgency=medium

  [ Balint Reczey ]
  * New upstream version 20171019+dfsg1 (LP: #1726810)
    - Add status option for google_oslogin_control
    - OS Login activation via the accounts daemon
  * Tidy up d/control with the help of cme fix dpkg-control
  * Update symlink to shared library with updated minor version
  * Change package priority to optional from extra
  * Add debhelper token to prerm

  [ Zach Marano from Google Cloud Team ]
  * Depend on chrony | ntp | time-daemon instead of just ntp
  * Move all service activation handling to
    gce-compute-image-packages.{postinst|prerm}
  * Make google-compute-engine depend on google-compute-engine-oslogin

  [ Łukasz 'sil2100' Zemczak ]
  * Backport to zesty.

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 24 Oct 2017 16:35:46 +0200

gce-compute-image-packages (20171006+dfsg1-0ubuntu1) artful; urgency=medium

  * List current packaging repository in debian/control
  * New upstream version 20171006+dfsg1 (LP: #1722356)
    - Fix system hang during VM shutdown
    - JSON parser accepts string types for int64 values
  * Update symlink to shared library with updated patch version

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 09 Oct 2017 19:16:04 +0200
