=== debian/changelog ===
gce-compute-image-packages (20171025+dfsg1-0ubuntu1~17.10.0) artful; urgency=medium

  [ Balint Reczey ]
  * New upstream version 20171025+dfsg1 (LP: #1729046)
   - Update set_hostname file name to prevent conflict
   - Add apt config to prevent auto-removal of google-compute-engine
   - Remove logging when checking OS Login status
  * Update symlink to shared library with updated patch version
  * Update packaging for changing set_hostname to google_set_hostname
  * Ship apt config to prevent auto-removal of google-compute-engine

  [ Łukasz 'sil2100' Zemczak ]
  * Backport to artful.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 03 Nov 2017 16:04:54 +0100

gce-compute-image-packages (20171019+dfsg1-0ubuntu1) artful; urgency=medium

  [ Balint Reczey ]
  * New upstream version 20171019+dfsg1 (LP: #1726810)
    - Add status option for google_oslogin_control
    - OS Login activation via the accounts daemon
  * Tidy up d/control with the help of cme fix dpkg-control
  * Update symlink to shared library with updated minor version
  * Change package priority to optional from extra
  * Add debhelper token to prerm

  [ Zach Marano from Google Cloud Team ]
  * Depend on chrony | ntp | time-daemon instead of just ntp
  * Move all service activation handling to
    gce-compute-image-packages.{postinst|prerm}
  * Make google-compute-engine depend on google-compute-engine-oslogin

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 24 Oct 2017 16:35:46 +0200
