=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,7 @@
 	$(MAKE) -C $(OSLOGIN_DIR) DESTDIR=$(CURDIR)/debian/tmp PAM_INSTALL_PATH=/lib/$(DEB_HOST_MULTIARCH)/security BIN_INSTALL_PATH=/usr/bin install
 
 override_dh_systemd_start:
-	dh_systemd_start --no-restart-on-upgrade --no-start --name=google-startup-scripts
-	dh_systemd_start --no-restart-on-upgrade --no-start --name=google-shutdown-scripts
+	# Configured in gce-compute-image-packages.postinst instead.
 
 override_dh_python3:
 	dh_python3
