## gce-compute-image-packages 20171129+dfsg1

=== google_compute_engine_oslogin/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 NAME = google-compute-engine-$(BASENAME)
 MAJOR = 1
 MINOR = 1
-REVISION = 1
+REVISION = 2
 
 NSS_LIBRARY_NAME = libnss_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
 NSS_LIBRARY_SONAME = libnss_$(BASENAME).so.2
@@ -12,10 +12,13 @@
 PAM_INSTALL_PATH = /lib/security
 AUTHKEYS_INSTALL_PATH = /usr/bin
 
+JSON_INCLUDE_PATH = /usr/include/json-c
+INCLUDE_FLAGS = -I$(JSON_INCLUDE_PATH)
+
 CXX = g++
 CXXFLAGS += -fPIC# -Wall
-PAMFLAGS = $(LDFLAGS) -shared
-NSSFLAGS = $(LDFLAGS) -shared -Wl,-soname,$(NSS_LIBRARY_SONAME)
+PAMFLAGS = $(LDFLAGS) $(INCLUDE_FLAGS) -shared
+NSSFLAGS = $(LDFLAGS) $(INCLUDE_FLAGS) -shared -Wl,-soname,$(NSS_LIBRARY_SONAME)
 
 # UTILS
 UTILS_DIR = utils
@@ -86,10 +89,10 @@
 	$(CXX) $(CXXFLAGS) -c $(PAM_ADMIN_SRC) -o $(PAM_ADMIN_OBJ)
 
 $(AUTHKEYS_BIN): $(AUTHKEYS_SRC) $(UTILS_SRC)
-	$(CXX) $(LDFLAGS) -o $(AUTHKEYS_BIN) $(AUTHKEYS_SRC) $(UTILS_SRC) $(LIBS)
+	$(CXX) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(AUTHKEYS_BIN) $(AUTHKEYS_SRC) $(UTILS_SRC) $(LIBS)
 
 $(UTILS): $(UTILS_SRC)
-	$(CXX) $(CXXFLAGS) -c $(UTILS_SRC) -o $(UTILS)
+	$(CXX) $(CXXFLAGS) $(INCLUDE_FLAGS) -c $(UTILS_SRC) -o $(UTILS)
 
 $(SELINUX_MOD_FILE): $(SELINUX_MODULE_SRC)
 	checkmodule -M -m -o $(SELINUX_MOD_FILE) $(SELINUX_MODULE_SRC)
