=== debian/changelog ===
gce-compute-image-packages (20171129+dfsg1-0ubuntu1~14.04.0) trusty; urgency=medium

  [ Balint Reczey ]
  * Add minimal debian/google-compute-engine-oslogin.prerm to fix upgrades
    (LP: #1733878)
  * New upstream version 20171129+dfsg1
    - Generate SSH host keys when none are present.
    - Improve logging when activating OS Login.
    - Fix parsing logic for expiration time on SSH public keys.
    - Fix home directory creation PAM config.
  * Update symlink to shared library with updated revision
  * Use -I/usr/include/json-c for building tests
  * Backport to Trusty (LP: #1735793)
    - Retain the delta between devel and trusty as those are necessary for the
      package to build and work.
    - Revert adding systemd as valid ntp daemon

  [ Ludovic Gasc ]
  * Add systemd as valid ntp daemon

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 05 Dec 2017 14:16:22 +0100

gce-compute-image-packages (20171025+dfsg1-0ubuntu1) bionic; urgency=medium

  * New upstream version 20171025+dfsg1 (LP: #1729046)
   - Update set_hostname file name to prevent conflict
   - Add apt config to prevent auto-removal of google-compute-engine
   - Remove logging when checking OS Login status
  * Update symlink to shared library with updated patch version
  * Update packaging for changing set_hostname to google_set_hostname
  * Ship apt config to prevent auto-removal of google-compute-engine

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 31 Oct 2017 18:23:49 +0100
