## gce-compute-image-packages 20180129+dfsg1

=== google_compute_engine_oslogin/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 NAME = google-compute-engine-$(BASENAME)
 MAJOR = 1
 MINOR = 1
-REVISION = 2
+REVISION = 4
 
 NSS_LIBRARY_NAME = libnss_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
 NSS_LIBRARY_SONAME = libnss_$(BASENAME).so.2
