=== debian/changelog ===
gce-compute-image-packages (20180129+dfsg1-0ubuntu3) bionic; urgency=medium

  * Drop the Recommends: on google-cloud-sdk; this is moving to be a snap
    for 18.04 and we don't want to continue pulling in a deprecated deb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Apr 2018 13:34:48 -0700

gce-compute-image-packages (20180129+dfsg1-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:53:40 +0000

gce-compute-image-packages (20180129+dfsg1-0ubuntu1) bionic; urgency=medium

  [ Balint Reczey ]
  * Override false positive maintainer-script-empty Lintian warning
  * Suggest libpam-cracklib instead of recommending it
    libpam-cracklib was not installed on cloud images before due to using
    --no-install-recommends when installing gce-compute-image-packages, but this
    state could have been surprising for users. (LP: #1741989)
  * New upstream version 20180129+dfsg1 (LP: #1746588)
    - Close socket connections when requesting metadata.
    - Change the OS Login uid restriction to allow uid 1000.
    - Improve hostname setting, including restarting rsyslog

  [ Zach Marano from Google Cloud Team ]
  * Update symlink to shared library with updated revision
  * Depend on rsyslog
  * Force IPv4 for Debian apt configs

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 31 Jan 2018 20:14:23 +0100

gce-compute-image-packages (20171129+dfsg1-0ubuntu1) bionic; urgency=medium

  [ Balint Reczey ]
  * Add minimal debian/google-compute-engine-oslogin.prerm to fix upgrades
    (LP: #1733878)
  * New upstream version 20171129+dfsg1
    - Generate SSH host keys when none are present.
    - Improve logging when activating OS Login.
    - Fix parsing logic for expiration time on SSH public keys.
    - Fix home directory creation PAM config.
  * Update symlink to shared library with updated revision
  * Use -I/usr/include/json-c for building tests

  [ Ludovic Gasc ]
  * Add systemd as valid ntp daemon

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 01 Dec 2017 19:40:05 +0100
