=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gce-compute-image-packages
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Section: admin
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>
+Priority: optional
 Build-Depends: cmake,
                debhelper (>= 9),
                dh-python,
@@ -21,23 +20,25 @@
                python-boto,
                python3-boto
 Standards-Version: 3.9.8
+Vcs-Browser: https://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
+Vcs-Git: git://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
 Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
-Vcs-Git: git://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
-Vcs-Browser: https://git.launchpad.net/~rbalint/ubuntu/+source/gce-compute-image-packages
+XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>
 
 Package: gce-compute-image-packages
 Architecture: all
 Depends: python3:any,
          ${python3:Depends},
          ${misc:Depends},
+         google-compute-engine-oslogin,
          python3-google-compute-engine (= ${source:Version}),
-         ntp,
+         chrony | ntp | time-daemon | systemd,
+         rsyslog,
          cloud-init
-Recommends: google-cloud-sdk,
-            libpam-cracklib
+Suggests: libpam-cracklib
 Conflicts: gce-cloud-config,
-        gce-daemon,
-        gce-startup-scripts
+           gce-daemon,
+           gce-startup-scripts
 Replaces: gce-cloud-config,
           gce-daemon,
           gce-startup-scripts
@@ -47,19 +48,19 @@
  to the cloud.
 
 Package: python-google-compute-engine
+Architecture: all
 Section: python
-Architecture: all
 Depends: ${python:Depends},
-         ${misc:Depends},
+         ${misc:Depends}
 Description: Python library for Google Compute Engine interaction
  Python libraries used for interacting with Google Compute Engine's APIs and
  functionality.  This package contains the modules for Python 2.x.
 
 Package: python3-google-compute-engine
+Architecture: all
 Section: python
-Architecture: all
 Depends: ${python3:Depends},
-         ${misc:Depends},
+         ${misc:Depends}
 Description: Python library for Google Compute Engine interaction (Python 3)
  Python libraries used for interacting with Google Compute Engine's APIs and
  functionality.  This package contains the modules for Python 3.x.
